GET api/cleanroomapi/cleanroomsbycustomer/{customerId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_type_id": "2ac42ae3-9a89-4634-8fb2-272d65124347",
"communication_server_id": "5048d177-d527-468e-922d-22acca57896e",
"id": "d3b04486-d7d0-46d3-8fcf-261e6c283c46",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
},
{
"active": true,
"cleanroom_type_id": "2ac42ae3-9a89-4634-8fb2-272d65124347",
"communication_server_id": "5048d177-d527-468e-922d-22acca57896e",
"id": "d3b04486-d7d0-46d3-8fcf-261e6c283c46",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
]
application/xml, text/xml
Sample:
<ArrayOfcleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<cleanroom>
<active>true</active>
<cleanroom_type_id>2ac42ae3-9a89-4634-8fb2-272d65124347</cleanroom_type_id>
<communication_server_id>5048d177-d527-468e-922d-22acca57896e</communication_server_id>
<id>d3b04486-d7d0-46d3-8fcf-261e6c283c46</id>
<local_id>1</local_id>
<local_name>sample string 3</local_name>
<name>sample string 4</name>
<type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>
<cleanroom>
<active>true</active>
<cleanroom_type_id>2ac42ae3-9a89-4634-8fb2-272d65124347</cleanroom_type_id>
<communication_server_id>5048d177-d527-468e-922d-22acca57896e</communication_server_id>
<id>d3b04486-d7d0-46d3-8fcf-261e6c283c46</id>
<local_id>1</local_id>
<local_name>sample string 3</local_name>
<name>sample string 4</name>
<type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>
</ArrayOfcleanroom>